Subject: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Po Lu <[email-masked]>
Date: Fri, 26 Aug 2022 19:18:36 +0800

Eli Zaretskii <[email-masked]> writes:

> That depends on the implementation: if the no-toolkit menu
> implementation intercepts the clicks before they get to Emacs, "C-h c"
> will not work for the individual clicks, only for a complete selection
> from the menu.

Clicks on the menu bar aren't intercepted at all.  Instead, some code in
keyboard.c (not exactly sure where) will call menu_show_hook (through
read_char_x_menu_prompt) with the contents of the submenu that was
clicked if nothing was bound, AFAIR.